1. Settlements
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Settlements

Create Settlement

POST
/settlements

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢201Created
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://portal.litpro.com/api/v1/settlements' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "claimant_id": 36782572,
    "project_uuid": "1abcee21-f2d3-44e1-bfdf-7778c5e84d6a",
    "medicare_payments": 40.76,
    "medicaid_payments": 90.44,
    "workers_compensation_payments": 367.23,
    "other_lien_payments": 400.23,
    "other_lien_type": "Medical",
    "private_lien_payments": 2381.23,
    "private_lien_type": "Fully Insured",
    "is_disbursement_held": false,
    "defendant": "Koss Ltd",
    "is_pre_1980": true,
    "funded_on": "2020-05-12",
    "funded_amount": 176.35,
    "settlement_on": "2020-02-05"
}'
Response Response Example
{
    "data": {
        "id": 0,
        "client": "string",
        "project": "string",
        "medicare_payments": 0,
        "medicaid_payments": 0,
        "workers_compensation_payments": 0,
        "other_lien_payments": 0,
        "other_lien_type": "string",
        "private_lien_payments": 0,
        "private_lien_type": "string",
        "is_disbursement_held": true,
        "is_not_payable": true,
        "defendant": "string",
        "is_pre_1980": true,
        "funded_on": "string",
        "funded_amount": 0,
        "offset_amount": null,
        "attorney_fee_amount": 0,
        "case_expense_amount": 0,
        "settlement_on": "string",
        "attorney_fees_percentage": null,
        "created_at": "string",
        "updated_at": "string"
    }
}
Modified at 2026-05-08 18:27:56
Previous
Get Settlements
Next
Get Settlement